Package Details: thunderbird-earlybird 61.0a1.20180321051647-1

Git Clone URL: (read-only)
Package Base: thunderbird-earlybird
Description: Standalone Mail/News reader - Earlybird channel
Upstream URL:
Keywords: mail mozilla thunderbird
Licenses: GPL, MPL, LGPL
Replaces: thunderbird-aurora
Submitter: py_crash
Maintainer: AlexTalker
Last Packager: AlexTalker
Votes: 15
Popularity: 0.000161
First Submitted: 2013-01-02 17:50
Last Updated: 2018-03-21 18:23

Latest Comments

Salamandar commented on 2018-02-09 09:06

Icon files changed, package() fails. You should change this:

  • for i in 16x16 22x22 24x24 32x32 48x48 256x256; do
  • for i in 16x16 32x32 48x48 64x64 128x128; do

AlexTalker commented on 2017-03-12 12:28

Guess, didn't mention before but I will not override filenames for source files till OBS from openSUSE project will handle it well. I mention repo already few messages down:

SigLevel = Never
Server =$arch

I found it useful not to build packages on local machine or one of mine but for a while it has it's costs.
If I remember correctly, I already sent patch up for the problem but I don't remember that somebody response on it.

Have a lucky day!

biosin commented on 2017-03-09 10:48

Don't you get the error with pacaur: One or more files did not pass the validity check!
Validating source_x86_64 files with sha512sums...
thunderbird-54.0a2.en-US.linux-x86_64.tar.bz2 ... FAILED

Can you please fix this, for example by changing the PKGBUILD like this:


AlexTalker commented on 2016-11-03 09:28

@balweirz Hey,
It's not definitely wrong since its correct on time of publish new PKGBUILD, but file is often update so I'll rewrite it in way I did for firefox-aurora.
Just 'cause of timezones, when I run update script at night using cron, it's about 6-8 hours before release new one. I guess, tomorrow I'll fix it.

And such messages like `disown package if u unsupport it`, `leave it if you no longer update it` annoying me since I trying update it as often as it possible in my time for about 2 years. If you not satisfied my service, run yourself.

balwierz commented on 2016-11-01 11:19

Now answer from @AlexTalker and the problem persists.
The package is updated daily but the sha512sums_x86_64 are always wrong.
Please fix the package or disown it.

balwierz commented on 2016-10-24 11:21

For a couple of weeks the updates of earlybird stopped working: sha512 sums are not right.

$ sha512sum thunderbird-51.0a2.en-US.linux-x86_64.tar.bz2
9c9854070ed31caec56ce4754524104fbd7adf1d1f497670d4f30e6fdda60edcbdbf43630b82edf81f035fbe53495e881fa67c3d436a7e6dd84a4b2888b29056 thunderbird-51.0a2.en-US.linux-x86_64.tar.bz2

$ grep sha512sums_x86_64 PKGBUILD

I don't understand why, because this package is being updated often.

AlexTalker commented on 2016-10-01 16:16

Hello, folks!

It was long time for me till my patch for Open Build System was applied on finally, so now I moved building of the package to there.

So, if u used my previous repo, you can easily use new one

SigLevel = Never
Server =$arch

Web view to project is here:

Now I hope will no more broken hashsums and mess in logs since I rewrite my scripts to automatic update this and few other packages to use OBS instead of building locally and push to my own old repo.

I hope u enjoy this improvement.

Also git of the package now contains 2 files, & PKGBUILD.template which I use to generate PKGBUILD using fresh information from vendor sites. U can as well use it yourself, just run

Have a lucky day!

Eremiell commented on 2016-08-11 07:15

diff --git a/PKGBUILD b/PKGBUILD
index aee74c3..596dd63 100644
@@ -3,8 +3,8 @@
pkgdesc="Standalone Mail/News reader - Earlybird channel"
arch=('i686' 'x86_64')

avelino commented on 2016-08-09 03:12

:: thunderbird-earlybird package(s) failed to install. Check .SRCINFO for mismatching data with PKGBUILD.

AlexTalker commented on 2016-03-20 13:55

@AlfredoRamos okay, you may also try cower if you'd like to automatize package downloading and building with makepkg. I use myself pure makepkg mostly and `aura`.

All comments